Package com.io7m.idstore.protocol.user.cb

# Record Class IdU1ResponseBlame.BlameClient

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.user.cb.IdU1ResponseBlame.BlameClient

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `IdU1ResponseBlame`

Enclosing interface:
  IdU1ResponseBlame

public static record IdU1ResponseBlame.BlameClient() extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, IdU1ResponseBlame
The client sent a bad response.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.io7m.idstore.protocol.user.cb.IdU1ResponseBlame

  `IdU1ResponseBlame.BlameClient, IdU1ResponseBlame.BlameServer`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlameClient()`
  Creates an instance of a `BlameClient` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdU1ResponseBlame.BlameClient`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type com.io7m.idstore.protocol.user.cb.BlameClient.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdU1ResponseBlame.BlameClient $x)`
  Serialize a value of type com.io7m.idstore.protocol.user.cb.BlameClient.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BlameClient

    public BlameClient()
    Creates an instance of a `BlameClient` record class.

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdU1ResponseBlame.BlameClient $x) throws IOException
    Serialize a value of type com.io7m.idstore.protocol.user.cb.BlameClient.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdU1ResponseBlame.BlameClient deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type com.io7m.idstore.protocol.user.cb.BlameClient.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type com.io7m.idstore.protocol.user.cb.BlameClient.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.